Page 1 of 2 12 LastLast
Results 1 to 10 of 16

Thread: LISP to Help with Drawing Iso's

  1. #1
    Member
    Join Date
    2010-11
    Posts
    5
    Login to Give a bone
    0

    Default LISP to Help with Drawing Iso's

    Anyone have anything to help with drawing Iso's?

    I tried creating my own, but am having trouble getting it to work properly. If anyone has anything to assist or the knowledge to help please let me know.

    For example,
    I have a toolbar full of blocks that I would like to insert into a drawing and have the lisp ask for which direction I want it to go, then auto trim (or use wipeout) to trim the pipeline and then be able to insert the size of valve (if I was inserting a valve)

    I want to be able to use it for several blocks on a panel that I have created.

    HELP!!!!

  2. #2
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,096
    Login to Give a bone
    0

    Default Re: LISP to Help with Drawing Iso's

    Do you mind sharing what you have already? Maybe someone here could help you over the hump with your code.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  3. #3
    Member
    Join Date
    2010-11
    Posts
    5
    Login to Give a bone
    0

    Default Re: LISP to Help with Drawing Iso's

    Quote Originally Posted by Opie View Post
    Do you mind sharing what you have already? Maybe someone here could help you over the hump with your code.

    I was able to work with someone today and he helped me with this, it is actually from autocad 2006, but I want to use it in 2011. When I try to use it, I get this error.

    Also, I am having problems with layers. As you can see, I want to use the "0" layer. I know it is probably not right, but any help is greatly appreciated.

    Pick Orientation: bad argument type: numberp: nil


    Code:
    ;#   THIS IS FOR CREATING A UNION (1UNION.LSP).
    (DEFUN C:1union(/ a1 a2 s1 ang1 ang2 p1 p2 p3 p4 p5 p6 p7 p8 p9
                     p10 p11 p12 p13)
      (setvar "cmdecho" 0)
      (setvar "coords" 2)
      (setq kla (getvar "clayer"))
      (command "LAYER" "S" "0" "")
        (prompt "\nPresent Scaling Factor For The 1Union Is: ")
        (princ nzscle)
        (defun loop1()
          (setq p2 (polar p1 ang1 (* 0.05 nzscle)))
          (setq p3 (polar p1 ang1 (* -0.05 nzscle)))
          (setq p4 (polar p2 ang2 (* 0.0875 nzscle)))
          (setq p5 (polar p2 ang2 (* -0.0875 nzscle)))
          (setq p6 (polar p3 ang2 (* 0.0875 nzscle)))
          (setq p7 (polar p3 ang2 (* -0.0875 nzscle)))
          (setq p8 (polar p1 ang2 (* 0.125 nzscle)))
          (setq p9 (polar p1 ang2 (* -0.125 nzscle)))
          (initget "Yes No")
            (setq a2 (getkword "\nCut Pipe Out? <Y>: "))
            (if (= a2 nil) (command "BREAK" p1 "F" p2 p3))
            (if (= a2 "Yes") (command "BREAK" p1 "F" p2 p3))
            (if (= a2 "No") (prompt "\nNo Pipe Will Be Cut."))
          (command "PLINE" p4 "W" (* 0.009 nzscle) (* 0.009 nzscle) p5 ""
                   "PLINE" p6 "W" (* 0.009 nzscle) (* 0.009 nzscle) p7 ""
                   "PLINE" p8 "W" (* 0.009 nzscle) (* 0.009 nzscle) p9 "")
          (command "INSERT" "WELD" p2 nzscle nzscle "0")
          (command "INSERT" "WELD" p3 nzscle nzscle "0")
        )
        (defun loop2()
          (setq p2 (polar p1 ang1 (* 0.05 nzscle)))
          (setq p3 (polar p1 ang1 (* -0.05 nzscle)))
          (setq p4 (polar p2 ang2 (* 0.0875 nzscle)))
          (setq p5 (polar p2 ang2 (* -0.0875 nzscle)))
          (setq p6 (polar p3 ang2 (* 0.0875 nzscle)))
          (setq p7 (polar p3 ang2 (* -0.0875 nzscle)))
          (setq p8 (polar p1 ang2 (* 0.125 nzscle)))
          (setq p9 (polar p1 ang2 (* -0.125 nzscle)))
          (setq p10 (polar p2 ang2 (* 0.0625 nzscle)))
          (setq p11 (polar p2 ang2 (* -0.0625 nzscle)))
          (setq p12 (polar p3 ang2 (* 0.0625 nzscle)))
          (setq p13 (polar p3 ang2 (* -0.0625 nzscle)))
          (setq p14 (polar p10 ang1 (* 0.0625 nzscle)))
          (setq p15 (polar p11 ang1 (* 0.0625 nzscle)))
          (setq p16 (polar p12 ang1 (* -0.0625 nzscle)))
          (setq p17 (polar p13 ang1 (* -0.0625 nzscle)))
          (initget "Yes No")
            (setq a2 (getkword "\nCut Pipe Out? <Y>: "))
            (if (= a2 nil) (command "BREAK" p1 "F" p2 p3))
            (if (= a2 "Yes") (command "BREAK" p1 "F" p2 p3))
            (if (= a2 "No") (prompt "\nNo Pipe Will Be Cut."))
          (command "PLINE" p4 "W" (* 0.009 nzscle) (* 0.009 nzscle) p5 ""
                   "PLINE" p6 "W" (* 0.009 nzscle) (* 0.009 nzscle) p7 ""
                   "PLINE" p10 "W" (* 0.009 nzscle) (* 0.009 nzscle) p14 ""
                   "PLINE" p11 "W" (* 0.009 nzscle) (* 0.009 nzscle) p15 ""
                   "PLINE" p12 "W" (* 0.009 nzscle) (* 0.009 nzscle) p16 ""
                   "PLINE" p13 "W" (* 0.009 nzscle) (* 0.009 nzscle) p17 ""
                   "PLINE" p8 "W" (* 0.009 nzscle) (* 0.009 nzscle) p9 "")
        )
        (defun loop3()
          (setq p2 (polar p1 ang1 (* 0.05 nzscle)))
          (setq p3 (polar p1 ang1 (* -0.05 nzscle)))
          (setq p4 (polar p2 ang2 (* 0.0875 nzscle)))
          (setq p5 (polar p2 ang2 (* -0.0875 nzscle)))
          (setq p6 (polar p3 ang2 (* 0.0875 nzscle)))
          (setq p7 (polar p3 ang2 (* -0.0875 nzscle)))
          (setq p8 (polar p1 ang2 (* 0.125 nzscle)))
          (setq p9 (polar p1 ang2 (* -0.125 nzscle)))
          (initget "Yes No")
            (setq a2 (getkword "\nCut Pipe Out? <Y>: "))
            (if (= a2 nil) (command "BREAK" p1 "F" p2 p3))
            (if (= a2 "Yes") (command "BREAK" p1 "F" p2 p3))
            (if (= a2 "No") (prompt "\nNo Pipe Will Be Cut."))
          (command "PLINE" p4 "W" (* 0.009 nzscle) (* 0.009 nzscle) p5 ""
                   "PLINE" p6 "W" (* 0.009 nzscle) (* 0.009 nzscle) p7 ""
                   "PLINE" p8 "W" (* 0.009 nzscle) (* 0.009 nzscle) p9 "" )
        )
        (if (null onion)
          (progn
            (initget 1 "Butt-weld Socket-weld Threaded")
            (prompt "\nType Of Union? ")
            (setq onion (getkword "  Butt-weld/Socket-weld/Threaded: "))
          )
          (progn
            (setq a1 onion)
            (initget "Butt-weld Socket-weld Threaded")
            (prompt "\nType Of 1Union / <")
            (princ (strcat onyon ">: "))
            (setq onion (getkword "\n  Butt-weld/Socket-weld/Threaded: "))
            (if (= onion nil) (setq onion a1))
          )
        )
        (cond ((= onion "Butt-weld") (setq s1 loop1) (setq onyon "Butt-weld"))
              ((= onion "Socket-weld") (setq s1 loop2) (setq onyon "Socket-weld"))
              ((= onion "Threaded") (setq s1 loop3) (setq onyon "Threaded"))
        )
        (setq p1 (getpoint "\nPick Center Of Union: "))
        (setq ang1 (getangle p1 "\nPick Run Direction: "))
        (setq ang2 (getangle p1 "\nPick Orientation: "))
        (s1)
        (command "LAYER" "S" kla "")
      (princ)
    )
    Last edited by Opie; 2010-11-19 at 03:23 PM. Reason: [code] tags added

  4. #4
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,714
    Login to Give a bone
    0

    Default Re: LISP to Help with Drawing Iso's

    (* 0.05 nil)

    Quote Originally Posted by dean.dufrene View Post
    Pick Orientation: bad argument type: numberp: nil


    Code:
    ;#   THIS IS FOR CREATING A UNION (1UNION.LSP).
    (DEFUN C:1union(/ a1 a2 s1 ang1 ang2 p1 p2 p3 p4 p5 p6 p7 p8 p9
                     p10 p11 p12 p13)
      (setvar "cmdecho" 0)
      (setvar "coords" 2)
      (setq kla (getvar "clayer"))
      (command "LAYER" "S" "0" "")
        (prompt "\nPresent Scaling Factor For The 1Union Is: ")
        (princ nzscle)
        (defun loop1()
          (setq p2 (polar p1 ang1 (* 0.05 nzscle)))
          (setq p3 (polar p1 ang1 (* -0.05 nzscle)))
          (setq p4 (polar p2 ang2 (* 0.0875 nzscle)))
          (setq p5 (polar p2 ang2 (* -0.0875 nzscle)))
          (setq p6 (polar p3 ang2 (* 0.0875 nzscle)))
          (setq p7 (polar p3 ang2 (* -0.0875 nzscle)))
          (setq p8 (polar p1 ang2 (* 0.125 nzscle)))
          (setq p9 (polar p1 ang2 (* -0.125 nzscle)))
          (initget "Yes No")
            (setq a2 (getkword "\nCut Pipe Out? <Y>: "))
            (if (= a2 nil) (command "BREAK" p1 "F" p2 p3))
            (if (= a2 "Yes") (command "BREAK" p1 "F" p2 p3))
            (if (= a2 "No") (prompt "\nNo Pipe Will Be Cut."))
          (command "PLINE" p4 "W" (* 0.009 nzscle) (* 0.009 nzscle) p5 ""
                   "PLINE" p6 "W" (* 0.009 nzscle) (* 0.009 nzscle) p7 ""
                   "PLINE" p8 "W" (* 0.009 nzscle) (* 0.009 nzscle) p9 "")
          (command "INSERT" "WELD" p2 nzscle nzscle "0")
          (command "INSERT" "WELD" p3 nzscle nzscle "0")
        )
        (defun loop2()
          (setq p2 (polar p1 ang1 (* 0.05 nzscle)))
          (setq p3 (polar p1 ang1 (* -0.05 nzscle)))
          (setq p4 (polar p2 ang2 (* 0.0875 nzscle)))
          (setq p5 (polar p2 ang2 (* -0.0875 nzscle)))
          (setq p6 (polar p3 ang2 (* 0.0875 nzscle)))
          (setq p7 (polar p3 ang2 (* -0.0875 nzscle)))
          (setq p8 (polar p1 ang2 (* 0.125 nzscle)))
          (setq p9 (polar p1 ang2 (* -0.125 nzscle)))
          (setq p10 (polar p2 ang2 (* 0.0625 nzscle)))
          (setq p11 (polar p2 ang2 (* -0.0625 nzscle)))
          (setq p12 (polar p3 ang2 (* 0.0625 nzscle)))
          (setq p13 (polar p3 ang2 (* -0.0625 nzscle)))
          (setq p14 (polar p10 ang1 (* 0.0625 nzscle)))
          (setq p15 (polar p11 ang1 (* 0.0625 nzscle)))
          (setq p16 (polar p12 ang1 (* -0.0625 nzscle)))
          (setq p17 (polar p13 ang1 (* -0.0625 nzscle)))
          (initget "Yes No")
            (setq a2 (getkword "\nCut Pipe Out? <Y>: "))
            (if (= a2 nil) (command "BREAK" p1 "F" p2 p3))
            (if (= a2 "Yes") (command "BREAK" p1 "F" p2 p3))
            (if (= a2 "No") (prompt "\nNo Pipe Will Be Cut."))
          (command "PLINE" p4 "W" (* 0.009 nzscle) (* 0.009 nzscle) p5 ""
                   "PLINE" p6 "W" (* 0.009 nzscle) (* 0.009 nzscle) p7 ""
                   "PLINE" p10 "W" (* 0.009 nzscle) (* 0.009 nzscle) p14 ""
                   "PLINE" p11 "W" (* 0.009 nzscle) (* 0.009 nzscle) p15 ""
                   "PLINE" p12 "W" (* 0.009 nzscle) (* 0.009 nzscle) p16 ""
                   "PLINE" p13 "W" (* 0.009 nzscle) (* 0.009 nzscle) p17 ""
                   "PLINE" p8 "W" (* 0.009 nzscle) (* 0.009 nzscle) p9 "")
        )
        (defun loop3()
          (setq p2 (polar p1 ang1 (* 0.05 nzscle)))
          (setq p3 (polar p1 ang1 (* -0.05 nzscle)))
          (setq p4 (polar p2 ang2 (* 0.0875 nzscle)))
          (setq p5 (polar p2 ang2 (* -0.0875 nzscle)))
          (setq p6 (polar p3 ang2 (* 0.0875 nzscle)))
          (setq p7 (polar p3 ang2 (* -0.0875 nzscle)))
          (setq p8 (polar p1 ang2 (* 0.125 nzscle)))
          (setq p9 (polar p1 ang2 (* -0.125 nzscle)))
          (initget "Yes No")
            (setq a2 (getkword "\nCut Pipe Out? <Y>: "))
            (if (= a2 nil) (command "BREAK" p1 "F" p2 p3))
            (if (= a2 "Yes") (command "BREAK" p1 "F" p2 p3))
            (if (= a2 "No") (prompt "\nNo Pipe Will Be Cut."))
          (command "PLINE" p4 "W" (* 0.009 nzscle) (* 0.009 nzscle) p5 ""
                   "PLINE" p6 "W" (* 0.009 nzscle) (* 0.009 nzscle) p7 ""
                   "PLINE" p8 "W" (* 0.009 nzscle) (* 0.009 nzscle) p9 "" )
        )
        (if (null onion)
          (progn
            (initget 1 "Butt-weld Socket-weld Threaded")
            (prompt "\nType Of Union? ")
            (setq onion (getkword "  Butt-weld/Socket-weld/Threaded: "))
          )
          (progn
            (setq a1 onion)
            (initget "Butt-weld Socket-weld Threaded")
            (prompt "\nType Of 1Union / <")
            (princ (strcat onyon ">: "))
            (setq onion (getkword "\n  Butt-weld/Socket-weld/Threaded: "))
            (if (= onion nil) (setq onion a1))
          )
        )
        (cond ((= onion "Butt-weld") (setq s1 loop1) (setq onyon "Butt-weld"))
              ((= onion "Socket-weld") (setq s1 loop2) (setq onyon "Socket-weld"))
              ((= onion "Threaded") (setq s1 loop3) (setq onyon "Threaded"))
        )
        (setq p1 (getpoint "\nPick Center Of Union: "))
        (setq ang1 (getangle p1 "\nPick Run Direction: "))
        (setq ang2 (getangle p1 "\nPick Orientation: "))
        (s1)
        (command "LAYER" "S" kla "")
      (princ)
    )
    You need to define the nzscle variable, and don't forget to localize.

    Hope this helps!
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  5. #5
    Member
    Join Date
    2010-11
    Posts
    5
    Login to Give a bone
    0

    Default Re: LISP to Help with Drawing Iso's

    I have had some time to revisit this code and the error seems to be in loop 2 at this point. (* 0.05 nzscle)))

    Which is why black box suggested I define the nzscle, but I have had trouble with this.

    Why is it had the second loop only? (according to Virtual Lisp editor in autocad)

    The loops are what type of fitting is drawn based off of user input.

    If anyone can help me with the code of defining the nzscle I would be greatly appreciated. I have several lisps and creating tool palettes to go along with these lisps. But I cannot figure out this part

  6. #6
    All AUGI, all the time
    Join Date
    2010-10
    Posts
    535
    Login to Give a bone
    0

    Default Re: LISP to Help with Drawing Iso's

    Quote Originally Posted by dean.dufrene View Post
    If anyone can help me with the code of defining the nzscle I would be greatly appreciated. I have several lisps and creating tool palettes to go along with these lisps. But I cannot figure out this part
    nzscale is the scale to be use for blocks and the multiplier for length of the "symbol" lines
    Also set the osmode system variable to 0 as not to mess up the plines <p2 to p17> created and the break point p2 and p3.

    Code:
    (DEFUN C:1union(/ a1 a2 s1 ang1 ang2 p1 p2 p3 p4 p5 p6 p7 p8 p9
                     p10 p11 p12 p13)
      (setq oldo (getvar "osmode"))
      (setvar "cmdecho" 0)
      (setvar "coords" 2)
      (setq kla (getvar "clayer"))
      (command "LAYER" "S" "0" "")
        (prompt "\nPresent Scaling Factor For The 1Union Is: ")
        (princ nzscle)
        (defun loop1()
          (setq p2 (polar p1 ang1 (* 0.05 nzscle)))
          (setq p3 (polar p1 ang1 (* -0.05 nzscle)))
          (setq p4 (polar p2 ang2 (* 0.0875 nzscle)))
          (setq p5 (polar p2 ang2 (* -0.0875 nzscle)))
          (setq p6 (polar p3 ang2 (* 0.0875 nzscle)))
          (setq p7 (polar p3 ang2 (* -0.0875 nzscle)))
          (setq p8 (polar p1 ang2 (* 0.125 nzscle)))
          (setq p9 (polar p1 ang2 (* -0.125 nzscle)))
          (initget "Yes No")
            (setq a2 (getkword "\nCut Pipe Out? <Y>: "))
            (if (= a2 nil) (command "BREAK" p1 "F" p2 p3))
            (if (= a2 "Yes") (command "BREAK" p1 "F" p2 p3))
            (if (= a2 "No") (prompt "\nNo Pipe Will Be Cut."))
          (command "PLINE" p4 "W" (* 0.009 nzscle) (* 0.009 nzscle) p5 ""
                   "PLINE" p6 "W" (* 0.009 nzscle) (* 0.009 nzscle) p7 ""
                   "PLINE" p8 "W" (* 0.009 nzscle) (* 0.009 nzscle) p9 "")
          (command "INSERT" "WELD" p2 nzscle nzscle "0")
          (command "INSERT" "WELD" p3 nzscle nzscle "0")
        )
        (defun loop2()
          (setq p2 (polar p1 ang1 (* 0.05 nzscle)))
          (setq p3 (polar p1 ang1 (* -0.05 nzscle)))
          (setq p4 (polar p2 ang2 (* 0.0875 nzscle)))
          (setq p5 (polar p2 ang2 (* -0.0875 nzscle)))
          (setq p6 (polar p3 ang2 (* 0.0875 nzscle)))
          (setq p7 (polar p3 ang2 (* -0.0875 nzscle)))
          (setq p8 (polar p1 ang2 (* 0.125 nzscle)))
          (setq p9 (polar p1 ang2 (* -0.125 nzscle)))
          (setq p10 (polar p2 ang2 (* 0.0625 nzscle)))
          (setq p11 (polar p2 ang2 (* -0.0625 nzscle)))
          (setq p12 (polar p3 ang2 (* 0.0625 nzscle)))
          (setq p13 (polar p3 ang2 (* -0.0625 nzscle)))
          (setq p14 (polar p10 ang1 (* 0.0625 nzscle)))
          (setq p15 (polar p11 ang1 (* 0.0625 nzscle)))
          (setq p16 (polar p12 ang1 (* -0.0625 nzscle)))
          (setq p17 (polar p13 ang1 (* -0.0625 nzscle)))
          (initget "Yes No")
            (setq a2 (getkword "\nCut Pipe Out? <Y>: "))
            (if (= a2 nil) (command "BREAK" p1 "F" "_non" p2 "_non" p3))
            (if (= a2 "Yes") (command "BREAK" p1 "F" "_non" p2 "_non" p3))
            (if (= a2 "No") (prompt "\nNo Pipe Will Be Cut."))
          (command "PLINE" p4 "W" (* 0.009 nzscle) (* 0.009 nzscle) p5 ""
                   "PLINE" p6 "W" (* 0.009 nzscle) (* 0.009 nzscle) p7 ""
                   "PLINE" p10 "W" (* 0.009 nzscle) (* 0.009 nzscle) p14 ""
                   "PLINE" p11 "W" (* 0.009 nzscle) (* 0.009 nzscle) p15 ""
                   "PLINE" p12 "W" (* 0.009 nzscle) (* 0.009 nzscle) p16 ""
                   "PLINE" p13 "W" (* 0.009 nzscle) (* 0.009 nzscle) p17 ""
                   "PLINE" p8 "W" (* 0.009 nzscle) (* 0.009 nzscle) p9 "")
        )
        (defun loop3()
          (setq p2 (polar p1 ang1 (* 0.05 nzscle)))
          (setq p3 (polar p1 ang1 (* -0.05 nzscle)))
          (setq p4 (polar p2 ang2 (* 0.0875 nzscle)))
          (setq p5 (polar p2 ang2 (* -0.0875 nzscle)))
          (setq p6 (polar p3 ang2 (* 0.0875 nzscle)))
          (setq p7 (polar p3 ang2 (* -0.0875 nzscle)))
          (setq p8 (polar p1 ang2 (* 0.125 nzscle)))
          (setq p9 (polar p1 ang2 (* -0.125 nzscle)))
          (initget "Yes No")
            (setq a2 (getkword "\nCut Pipe Out? <Y>: "))
            (if (= a2 nil) (command "BREAK" p1 "F" p2 p3))
            (if (= a2 "Yes") (command "BREAK" p1 "F" p2 p3))
            (if (= a2 "No") (prompt "\nNo Pipe Will Be Cut."))
          (setvar 'osmode 0)
          (command "PLINE" p4 "W" (* 0.009 nzscle) (* 0.009 nzscle) p5 ""
                   "PLINE" p6 "W" (* 0.009 nzscle) (* 0.009 nzscle) p7 ""
                   "PLINE" p8 "W" (* 0.009 nzscle) (* 0.009 nzscle) p9 "" )
        )
        (if (null onion)
          (progn
            (initget 1 "Butt-weld Socket-weld Threaded")
            (prompt "\nType Of Union? ")
            (setq onion (getkword "  Butt-weld/Socket-weld/Threaded: "))
          )
          (progn
            (setq a1 onion)
            (initget "Butt-weld Socket-weld Threaded")
            (prompt "\nType Of 1Union / <")
            (princ (strcat onyon ">: "))
            (setq onion (getkword "\n  Butt-weld/Socket-weld/Threaded: "))
            (if (= onion nil) (setq onion a1))
          )
        )
        (cond ((= onion "Butt-weld") (setq s1 loop1) (setq onyon "Butt-weld"))
              ((= onion "Socket-weld") (setq s1 loop2) (setq onyon "Socket-weld"))
              ((= onion "Threaded") (setq s1 loop3) (setq onyon "Threaded"))
        )
        (setq nzscle (getint "\nEnter SCale: "))
        (setq p1 (getpoint "\nPick Center Of Union: "))
        (setq ang1 (getangle p1 "\nPick Run Direction: "))
        (setq ang2 (getangle p1 "\nPick Orientation: "))
        (setvar 'osmode 0)
        (s1)
        (command "LAYER" "S" kla "")
        (setvar 'osmode oldo)
      (princ)
    )
    It would be better to include an *error* trap to go with your routine.

  7. #7
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,714
    Login to Give a bone
    0

    Default Re: LISP to Help with Drawing Iso's

    Zombies!
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  8. #8
    All AUGI, all the time
    Join Date
    2010-10
    Posts
    535
    Login to Give a bone
    0

    Default Re: LISP to Help with Drawing Iso's

    Quote Originally Posted by BlackBox View Post
    Zombies!
    Indeed. Well, the OP did say.

    I have had some time to revisit this code and the error seems to be in loop 2 at this point. (* 0.05 nzscle))
    Which you will note the date as Today or Yesterday depending on the time zone you are at .

  9. #9
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,714
    Login to Give a bone
    0

    Default Re: LISP to Help with Drawing Iso's

    ... It's like the post came the very next day; didn't skip a beat.
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  10. #10
    All AUGI, all the time
    Join Date
    2010-10
    Posts
    535
    Login to Give a bone
    0

    Default Re: LISP to Help with Drawing Iso's

    Quote Originally Posted by BlackBox View Post
    ... It's like the post came the very next day; didn't skip a beat.
    Thats right.. Also notice the OP said BlackBox instead of your previous monicker.... implying that the post is recent.

    It got me... got me real good

Page 1 of 2 12 LastLast

Similar Threads

  1. Save drawing by lisp
    By pascal.elvis in forum AutoLISP
    Replies: 1
    Last Post: 2014-03-20, 10:31 PM
  2. Drawing Cleanup Lisp
    By joeskarfe622324 in forum AutoLISP
    Replies: 3
    Last Post: 2013-10-24, 01:22 PM
  3. Drawing a row of four lines with Lisp.
    By Ko.Bach276562702 in forum AutoLISP
    Replies: 8
    Last Post: 2011-11-18, 03:18 PM
  4. Run lisp when closing drawing
    By benfleck in forum AutoLISP
    Replies: 30
    Last Post: 2009-01-24, 09:55 AM
  5. Lisp from a Drawing
    By burchd in forum AutoLISP
    Replies: 14
    Last Post: 2008-06-11, 04:50 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •